#version 410 core

layout(location = 0) in vec3 vertPos;
layout(location = 1) in vec3 vertNor;
layout(location = 2) in vec2 vertTex;

uniform mat4 M, V, P;

out vec3 vertex_pos;
out vec3 vertex_nor;
out vec2 vertex_tex;

//******************************************************************************

void main()
{
    vec4 tpos = M * vec4(vertPos, 1);
    gl_Position = P * V * tpos;
    
    vertex_pos = tpos.xyz;
    vertex_nor = vec3(M * vec4(vertNor, 0));
    vertex_tex = vertTex;
}
